//Priority: 100
/**
  
  █▀▄▀█ █▀█ █▄░█ █░█ █▀▄▀█ █▀▀ █▄░█ ▀█▀ ▄▀█ █░░   █▀▀ ▀▄▀ █▀█ █▀▀ █▀█ █ █▀▀ █▄░█ █▀▀ █▀▀
  █░▀░█ █▄█ █░▀█ █▄█ █░▀░█ ██▄ █░▀█ ░█░ █▀█ █▄▄   ██▄ █░█ █▀▀ ██▄ █▀▄ █ ██▄ █░▀█ █▄▄ ██▄

  ☻/  * @file Minecraft Vanilla recipes script
  /▌  * @copyright KnightDexx's Modded Minecraft World | ModernGamingWorld | GeekTechMedia
  /\  

*/
ServerEvents.recipes(event => {

   let colors = ['white', 'light_gray', 'gray', 'black', 'red', 'orange', 'yellow', 'lime', 'green', 'light_blue', 'cyan', 'blue', 'purple', 'magenta', 'pink', 'brown']

   //=== Rabbit Stew ===
   modifyShapeless(event, 'minecraft:rabbit_stew', 1, ['minecraft:baked_potato', 'minecraft:cooked_rabbit', '#forge:bowls', 'minecraft:carrot', '#forge:mushrooms'])

   //=== Scaffolding ===
   modifyShaped(event, 'minecraft:scaffolding', 6, ['ABA', 'A A', 'A A'], {
      A: ['minecraft:bamboo', '#forge:rods/wooden'],
      B: ['#forge:string', 'farmersdelight:canvas']
   })

   //=== Scaffolding ===
   modifyShaped(event, 'minecraft:comparator', 1, [' A ', 'ABA', 'CCC'], {
      A: 'minecraft:redstone_torch',
      B: '#forge:gems/quartz',
      C: '#balm:stones'
   })

   //======= Daylight Detector =======
   modifyShaped(event, 'minecraft:daylight_detector', 1, ['AAA', 'BBB', 'CCC'], {
      A: '#forge:glass',
      B: '#forge:gems/quartz',
      C: '#minecraft:wooden_slabs'
   })

   //======= Beacon =======
   modifyShaped(event, 'minecraft:beacon', 1, ['AAA', 'ABA', 'CCC'], {
      A: '#forge:glass/colorless',
      B: '#forge:nether_stars',
      C: '#forge:obsidian'
   })

   //=== Concrete Powders ===
   colors.forEach(color => {
      event.shaped(`8x minecraft:${color}_concrete_powder`, ['ABB', 'BBC', 'CCC'], {
         A: `#forge:dyes/${color}`,
         B: '#forge:sand',
         C: ['#forge:gravel', '#forge:slag']
      }).id(`kubejs:minecraft/${color}_concrete_powder`)

      removeRecipeByID(event, [
         `minecraft:${color}_concrete_powder`,
         `thermal:${color}_concrete_powder_with_slag`
      ])
   })

})